import type { PickUpDetailItem } from '@/types/waybillPickUp'
import { http } from '@/utils/http'

/**
 * 获取取件单列表
 */
export const waybillPickUpOrders = (params: { page: number; limit: number }) => {
  return http<any>({
    method: 'GET',
    url: '/admin/pickup.waybillPickUpOrder/index',
    data: params,
  })
}
/**
 * 获取取件单详情
 * @param id 取件单id
 */
export const getPickUpById = (pick_up_order_id: string) => {
  return http<{ details: PickUpDetailItem[] }>({
    method: 'GET',
    url: '/admin/pickup.waybillPickUpOrder/detail',
    data: { pick_up_order_id },
  })
}
